Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class SecurityPermissionMetaData

    java.lang.Object
      org.jboss.resource.metadata.DescriptionMetaDataContainer
          org.jboss.resource.metadata.SecurityPermissionMetaData

All Implemented Interfaces:
  Serializable

public class SecurityPermissionMetaData
extends DescriptionMetaDataContainer

Security Permission meta data

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`SecurityPermissionMetaData()`

Method Summary
`String` | `getSecurityPermissionSpec()` Get the security permission spec
`void` | `setSecurityPermissionSpec(String securityPermissionSpec)` Set the security permission spec
`String` | `toString()`

Methods inherited from class org.jboss.resource.metadata.DescriptionMetaDataContainer
`addDescription, getDescription, getDescription, getDescriptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityPermissionMetaData

    public SecurityPermissionMetaData()

Method Detail

### getSecurityPermissionSpec

    public String getSecurityPermissionSpec()

  Get the security permission spec

  Returns:
    the security permission spec

### setSecurityPermissionSpec

    public void setSecurityPermissionSpec(String securityPermissionSpec)

  Set the security permission spec

  Parameters:
    `securityPermissionSpec` - the spec

### toString

    public String toString()

  Overrides:
    `toString` in class `DescriptionMetaDataContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.